<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once '../../maincore.php';
require_once THEMES . 'templates/admin_header.php';

pageAccess('CYTA');
$locale = fusion_get_locale('', CYTA_LOCALE);
$settings = get_settings('cytaty_panel');

add_to_title($locale['cytaty_title']);

add_breadcrumb(['link' => INFUSIONS . 'cytaty_panel/admin.php' . fusion_get_aidlink(), 'title' => $locale['cytaty_title']]);

if (isset($_POST['save_settings'])) {
	$settings = [
		'color_tablec' 		 => form_sanitizer($_POST['color_tablec'], '', 'color_tablec'),
		'color_text' 		 => form_sanitizer($_POST['color_text'], '', 'color_text'),
		'size_text' 		 => form_sanitizer($_POST['size_text'], '', 'size_text'),
		'bordercolor_tablec' => form_sanitizer($_POST['bordercolor_tablec'], '', 'bordercolor_tablec'),
		'border_tablec' 	 => form_sanitizer($_POST['border_tablec'], '', 'border_tablec')
	];

	if (\defender::safe()) {
		foreach ($settings as $settings_name => $settings_value) {
			$db = [
				'settings_name'  => $settings_name,
				'settings_value' => $settings_value,
				'settings_inf'   => 'cytaty_panel'
			];

			dbquery_insert(DB_SETTINGS_INF, $db, 'update', ['primary_key' => 'settings_name']);
		}

		addNotice('success', $locale['cytaty_notice']);
		redirect(FUSION_REQUEST);
	}
}

opentable($locale['cytaty_title']);
echo openform('cytaty_settings', 'post', FUSION_REQUEST);
echo "<table>";
//-1
echo "<tr>";
echo "<td>";
echo form_colorpicker('bordercolor_tablec', $locale['cytaty_20'], $settings['bordercolor_tablec'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_tablec', $locale['cytaty_10'], $settings['color_tablec'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_colorpicker('color_text', $locale['cytaty_40'], $settings['color_text'], [
	'max_length'  => 7,
	'inner_width' => '100px',
	'type'        => 'text',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('border_tablec', $locale['cytaty_30'], $settings['border_tablec'], [
	'max_length'  => 1,
	'number_min'  => 0,
	'number_max'  => 5,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "<td>";
echo form_text('size_text', $locale['cytaty_50'], $settings['size_text'], [
	'max_length'  => 2,
	'number_min'  => 0,
	'number_max'  => 20,
	'inner_width' => '60px',
	'type'        => 'number',
	'inline'      => false
]);
echo "</td>";
echo "</tr>";
//-koniec
echo "<tr>";
echo "<td colspan='5' width='80%'>";
echo "";
echo "</td>";
echo "</tr>";
echo "</table>";
echo form_button('save_settings', $locale['save'], $locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o']);
echo closeform();
closetable();
echo "<style>
.cytaty {
   border: " . $settings['border_tablec'] . "px solid " . $settings['bordercolor_tablec'] . ";
   border-collapse: collapse;
   background-color: " . $settings['color_tablec'] . ";
   color: " . $settings['color_text'] . ";
   text-align: center;
   font-weight: bold;
   font-size: " . $settings['size_text'] . "px;
   border-radius: 10px;
   margin: 5px;
}
</style>";
opentable($locale['cytaty_podglad']);
echo '<b>' . $locale['cytaty_title'] . '</b>';
echo '<table width="100%">';
echo '<tr>';
echo '<td>';
echo '<div class="cytaty">';
$linie = file('' . INFUSIONS . 'cytaty_panel/cytatdnia.php');
foreach ($linie as $key => $cytat) {
	if ($key == gmDate("z") + 1) {
		echo $cytat;
	}
}
echo '</div>';
echo '</td>';
echo '</tr>';
echo "</table>";
closetable();
require_once THEMES . 'templates/footer.php';
